1.3
1.3
get /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints
Description
list privateLink endpoint
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cloud_function_id required | Cloud Functions ID Example : 8c9f6c1c928a45b4bbd1e4da5531d656 | string | None |
| query | sort optional | Sort Example : endpoint_alias:asc | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointList |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.3"
Example HTTP response
Response 200
{
"privatelink_endpoints": [
{
"endpoint_alias": "sample",
"endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"state": "Active"
}
]
}